%Beispiel 14.3-15
%bsp_14_3_15_m.m, bsp_14_3_15.mdl
%Regelkreis mit NL-Elementen
%Dreipunkt-Element
%Regelstrecke mit Integralelement und zwei PT1-Elementen
%Berechnung der Grenzschwingung
Kkrit = pi/4.0;
KK = [0.5, Kkrit, 1.0];
d = 1.0;
for i=1:3
 KS = KK(i);
 c = 0.25;
 sim ('bsp_14_3_15')
 hold on
 tmin = -2.0; tmax = 32;
 ymin = -1; ymax = 2;
 axis ([tmin tmax ymin ymax])
 plot([tmin tmax],[0 0],'r-')
 plot([0 0],[ymin ymax],'r-')
 % x(t), Regelgre
 plot(t, x,'-')
 title  ('Grenzschwingungen der Regelgre, c = 0.25, d = 1.0, Kkrit = pi/4')
 xlabel ('t / s') 
 ylabel ('Regelgre  x(t)')
 grid on
 text (2.0,1.6,'K=1')
 text (16.0, 0.7,'K=Kkrit')
 text (10.5, 0.7,'K=0.5')
end
hold off