%Beispiel 14.5-4, zu Abschnitt 14.5.4
%bsp_14_5_04_m.m, bsp_14_5_04.mdl
%schaltende Regler mit Rckfhrung

Kr = 8; Tr = 2; 
xd1 = 0.05; xd2 = 0.05; y2 = 0.5;
xd0 = 1; 
clf;
tmin = -0.4; tmax = 3; t1 = 0.60873;
ymin = -0.1; ymax = 1.2;
sim ('bsp_14_5_04')  
hold on
axis ([tmin tmax ymin ymax])
plot([tmin tmax],[0 0],'k-')
plot([0 0],[ymin ymax],'k-')
plot(t, x,'k-') % xr(t), xd(t), y(t)
c='k.'; k = 12;
for dt = 0:t1/k:t1
   plot([0 dt],[y2 y2], c)
end
for dt = y2/4:(y2-y2/4)/k:y2
   plot([t1 t1],[y2 dt],c)
end
for dt = t1:t1/k:tmax
   plot([t1 dt],[y2/4 y2/4], c)
end
title  ('Regler mit Rckfhrung, x_e_1 = 0.05, x_e_2 = 0.05, y_2 = 0.5')
xlabel ('t / s') 
ylabel ('Rckfhrgre x_r(t), Eingangsgre x_e(t), Stellgre y(t), y_m(t)')
grid on
text (1.2, 1.1,'x_r(t)');
text (0.1, 0.9,'x_e(t)');
text (0.38, 0.55,'y(t),  y_m(t)');
text (1.35, 0.55,'y(t)');
text (2.258, 0.16,'y_m(t)');
